"""TMP - make task.meta non optional

Revision ID: e3e639454d4b
Revises: 4b35c5cefbe3
Create Date: 2024-03-29 17:10:57.643561

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "e3e639454d4b"
down_revision = "4b35c5cefbe3"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.alter_column(
            "meta_non_parallel",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )
        batch_op.alter_column(
            "meta_parallel",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=False,
        )

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.alter_column(
            "meta_parallel",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )
        batch_op.alter_column(
            "meta_non_parallel",
            existing_type=postgresql.JSON(astext_type=sa.Text()),
            nullable=True,
        )

    # ### end Alembic commands ###
